[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TDropFilesEvent

Type used for an OnDropFiles event handler.

## Declaration

Source position: forms.pp line 505

`type TDropFilesEvent = procedure(`
`Sender: TObject;`
`const FileNames: array of string`
`) of object;`

## Arguments

`Sender` |  | The object (TCustomForm) for the dropped files notification.
`FileNames` |  | Array with the list of file names for the drop event.

## Description

TDropFilesEvent is an object procedure which specifies an event handler triggered when files are dropped on a drag and drop-enabled control.

TDropFilesEvent is the type used to implement the OnDropFiles property in TCustomForm and TApplication. Applications must implement a procedure using the signature for the event handler, and assign it to the property.

## See also

TCustomForm.OnDropFiles |  | Handler called when files have been dropped.
TApplication.OnDropFiles |  | Event handler signalled when file(s) are dropped into the application.
TApplicationProperties.OnDropFiles |  | Event handler signalled when file(s) are dropped into the application.